Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.phoenix
Class AccessILFactory

    java.lang.Object
      net.jini.jeri.AbstractILFactory
          net.jini.jeri.BasicILFactory
              com.sun.jini.phoenix.AccessILFactory

All Implemented Interfaces:
  InvocationLayerFactory

public class AccessILFactory
extends BasicILFactory

A basic invocation layer factory, used in exporting an `ActivationMonitor` or `ActivationInstantiator` to use Jini(TM) extensible remote invocation (Jini ERI), that is similar to `BasicILFactory` except the returned invocation dispatcher only accepts calls from the local host.

Since:
  2.0

Nested Class Summary
`static class` | `AccessILFactory.AccessDispatcher` A subclass of `BasicInvocationDispatcher` that only accepts calls from the local host.

Nested classes inherited from class net.jini.jeri.InvocationLayerFactory
`InvocationLayerFactory.Instances`

Constructor Summary
`AccessILFactory()` Creates an `AccessILFactory`instance with no server constraints, no permission class, and a `null` class loader.
`AccessILFactory(ClassLoader loader)` Creates an `AccessILFactory`instance with no server constraints, no permission class, and the specified class loader.

Method Summary
`protected InvocationDispatcher` | `createInvocationDispatcher(Collection methods, Remote impl, ServerCapabilities caps)` Returns an `AccessILFactory.AccessDispatcher` instance constructed with the specified methods, the specified server capabilities, and the class loader specified at construction.

Methods inherited from class net.jini.jeri.BasicILFactory
`createInvocationHandler, equals, getExtraProxyInterfaces, getPermissionClass, getServerConstraints, hashCode, toString`

Methods inherited from class net.jini.jeri.AbstractILFactory
`createInstances, getClassLoader, getInvocationDispatcherMethods, getProxyInterfaces, getRemoteInterfaces`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AccessILFactory

    public AccessILFactory()

  Creates an `AccessILFactory`instance with no server constraints, no permission class, and a `null` class loader.

### AccessILFactory

    public AccessILFactory(ClassLoader loader)

  Creates an `AccessILFactory`instance with no server constraints, no permission class, and the specified class loader. The specified class loader is used by the `createInstances` method.

Parameters:
  `loader` - the class loader, or `null`

Method Detail

### createInvocationDispatcher

    protected InvocationDispatcher createInvocationDispatcher(Collection methods,
                                                              Remote impl,
                                                              ServerCapabilities caps)
                                                       throws ExportException

  Returns an `AccessILFactory.AccessDispatcher` instance constructed with the specified methods, the specified server capabilities, and the class loader specified at construction.

  Overrides:
    `createInvocationDispatcher` in class `BasicILFactory`
  Returns:
    the `AccessILFactory.AccessDispatcher` instance
  Throws:
    `NullPointerException` - if any argument is `null`, or if `methods` contains a `null` element
    `ExportException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved